package com.shinsoft.sto.service.main;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shinsoft.sto.model.main.Area;
import com.shinsoft.tools.model.common.ResultJSON;

/**
 * <p>
 * 库房分区 服务类
 * </p>
 */
public interface AreaService extends IService<Area> {

    ResultJSON query(int page, int rows, String wareId);

    ResultJSON queryByPK(String id);

    ResultJSON save(String userId, String json);

    ResultJSON remove(String userId, String id);

    ResultJSON removeBatch(String userId, String ids);
}


